Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class ClassifierEnsembleTrainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<ClassifierEnsemble>
          cc.mallet.classify.ClassifierEnsembleTrainer

    public class ClassifierEnsembleTrainer

extends ClassifierTrainer<ClassifierEnsemble>

Author:
  Andrew McCallum

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`ClassifierEnsembleTrainer(Classifier[] classifiers)`

Method Summary
`ClassifierEnsemble` | `getClassifier()`
`ClassifierEnsemble` | `train(InstanceList trainingSet)`

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassifierEnsembleTrainer

    public ClassifierEnsembleTrainer(Classifier[] classifiers)

Method Detail

### getClassifier

    public ClassifierEnsemble getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<ClassifierEnsemble>`

### train

    public ClassifierEnsemble train(InstanceList trainingSet)

  Specified by:
    `train` in class `ClassifierTrainer<ClassifierEnsemble>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD